Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class AddUserNameState

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractPhaseState
                  |
                  +--org.jbrain.qlink.state.AbstractAccountState
                        |
                        +--org.jbrain.qlink.state.AddUserNameState

All Implemented Interfaces:
  QState

public class AddUserNameState
extends AbstractAccountState

Field Summary
`static int` | `PHASE_INITIAL`

Fields inherited from class org.jbrain.qlink.state.AbstractAccountState
`_sSecurityCode`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`AddUserNameState(QSession session)`

Method Summary
`void` | `activate()`
`boolean` | `execute(Action a)`

Methods inherited from class org.jbrain.qlink.state.AbstractAccountState
`addPrimaryAccount, addScreenName, getNewCode, updateCode, validateNewAccount`

Methods inherited from class org.jbrain.qlink.state.AbstractPhaseState
`getPhase, setPhase`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`checkEmail, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHASE_INITIAL

    public static final int PHASE_INITIAL

See Also:
  Constant Field Values

Constructor Detail

### AddUserNameState

    public AddUserNameState(QSession session)

Method Detail

### activate

    public void activate()
                  throws java.io.IOException

  Specified by:
    `activate` in interface `QState`
  Overrides:
    `activate` in class `AbstractState`
    `java.io.IOException`

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractState`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD